import request from '@/utils/request'

export function getCardPage(params) {
    return request({
        url: '/admin/card/page',
        method: 'get',
        params
    })
}

export function getCardList(params) {
    return request({
        url: '/admin/card/list',
        method: 'get',
        params
    })
}

export function addCard(data) {
    return request({
        url: '/admin/card/add',
        method: 'post',
        data: data
    })
}

export function editCard(data) {
    return request({
        url: '/admin/card/update',
        method: 'post',
        data: data
    })
}

export function deleteCard(cardId) {
    return request({
        url: '/admin/card/delete/' + cardId,
        method: 'get'
    })
}

